## org.eclipse.datatools.modelbase.dbdefinition
Interface TableDefinition

All Known Implementing Classes:
  TableDefinitionImpl

public interface TableDefinition

A representation of the model object 'Table Definition'.

The following features are supported:

- `Audit Supported`
- `Data Capture Supported`
- `Edit Proc Supported`
- `Encoding Supported`
- `Valid Proc Supported`
- `Maximum Identifier Length`

See Also:
  `DatabaseDefinitionPackage.getTableDefinition()`

Method Summary
`int` `getMaximumIdentifierLength()` Returns the value of the 'Maximum Identifier Length' attribute.
`boolean` `isAuditSupported()` Returns the value of the 'Audit Supported' attribute.
`boolean` `isDataCaptureSupported()` Returns the value of the 'Data Capture Supported' attribute.
`boolean` `isEditProcSupported()` Returns the value of the 'Edit Proc Supported' attribute.
`boolean` `isEncodingSupported()` Returns the value of the 'Encoding Supported' attribute.
`boolean` `isValidProcSupported()` Returns the value of the 'Valid Proc Supported' attribute.
`void` `setAuditSupported(boolean value)` Sets the value of the '`Audit Supported`' attribute.
`void` `setDataCaptureSupported(boolean value)` Sets the value of the '`Data Capture Supported`' attribute.
`void` `setEditProcSupported(boolean value)` Sets the value of the '`Edit Proc Supported`' attribute.
`void` `setEncodingSupported(boolean value)` Sets the value of the '`Encoding Supported`' attribute.
`void` `setMaximumIdentifierLength(int value)` Sets the value of the '`Maximum Identifier Length`' attribute.
`void` `setValidProcSupported(boolean value)` Sets the value of the '`Valid Proc Supported`' attribute.

Method Detail

### isAuditSupported

    public boolean isAuditSupported()

  Returns the value of the 'Audit Supported' attribute.

  If the meaning of the 'Audit Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Audit Supported' attribute.
  See Also:
    `setAuditSupported(boolean)`, `DatabaseDefinitionPackage.getTableDefinition_AuditSupported()`

### setAuditSupported

    public void setAuditSupported(boolean value)

  Sets the value of the '`Audit Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Audit Supported' attribute.
  See Also:
    `isAuditSupported()`

### isDataCaptureSupported

    public boolean isDataCaptureSupported()

  Returns the value of the 'Data Capture Supported' attribute.

  If the meaning of the 'Data Capture Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Data Capture Supported' attribute.
  See Also:
    `setDataCaptureSupported(boolean)`, `DatabaseDefinitionPackage.getTableDefinition_DataCaptureSupported()`

### setDataCaptureSupported

    public void setDataCaptureSupported(boolean value)

  Sets the value of the '`Data Capture Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Data Capture Supported' attribute.
  See Also:
    `isDataCaptureSupported()`

### isEditProcSupported

    public boolean isEditProcSupported()

  Returns the value of the 'Edit Proc Supported' attribute.

  If the meaning of the 'Edit Proc Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edit Proc Supported' attribute.
  See Also:
    `setEditProcSupported(boolean)`, `DatabaseDefinitionPackage.getTableDefinition_EditProcSupported()`

### setEditProcSupported

    public void setEditProcSupported(boolean value)

  Sets the value of the '`Edit Proc Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Proc Supported' attribute.
  See Also:
    `isEditProcSupported()`

### isEncodingSupported

    public boolean isEncodingSupported()

  Returns the value of the 'Encoding Supported' attribute.

  If the meaning of the 'Encoding Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Encoding Supported' attribute.
  See Also:
    `setEncodingSupported(boolean)`, `DatabaseDefinitionPackage.getTableDefinition_EncodingSupported()`

### setEncodingSupported

    public void setEncodingSupported(boolean value)

  Sets the value of the '`Encoding Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Encoding Supported' attribute.
  See Also:
    `isEncodingSupported()`

### isValidProcSupported

    public boolean isValidProcSupported()

  Returns the value of the 'Valid Proc Supported' attribute.

  If the meaning of the 'Valid Proc Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Valid Proc Supported' attribute.
  See Also:
    `setValidProcSupported(boolean)`, `DatabaseDefinitionPackage.getTableDefinition_ValidProcSupported()`

### setValidProcSupported

    public void setValidProcSupported(boolean value)

  Sets the value of the '`Valid Proc Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Valid Proc Supported' attribute.
  See Also:
    `isValidProcSupported()`

### getMaximumIdentifierLength

    public int getMaximumIdentifierLength()

  Returns the value of the 'Maximum Identifier Length' attribute.

  If the meaning of the 'Maximum Identifier Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getTableDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    public void setMaximumIdentifierLength(int value)

  Sets the value of the '`Maximum Identifier Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `getMaximumIdentifierLength()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.